# $Revision: 1.26 $, $Date: 2006/05/21 17:26:16 $
Summary:	Secure TCP/IP port forwarder
Summary(pl):	Bezpieczny forwarder portw TCP/IP
Name:		mmtcpfwd
Version:	0.1.0
Release:	4
Epoch:		2
License:	GPL
Group:		Networking/Daemons
Source0:	http://gobot.accela.net/software/stable/%{name}-%{version}.tar.gz
# Source0-md5:	b1d9ff2aa0059a4df9d4e54ed675be68
Source1:	%{name}.init
Source2:	%{name}.conf
URL:		http://gobot.accela.net/software.html
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Secure TCP/IP port forwarder, MASQ fake ident and FTP passive proxy
superserver intended for Linux firewalls with anti-DoS features.

%description -l pl
Bezpieczny forwarder portow TCP/IP, faszywy serwer ident dla
maskarady oraz proxy dla pasywnego FTP - przeznaczony dla linuksowych
firewalli z moliwociami zapobiegania DoS.

%prep
%setup -q

%build
%{__make} -C src \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir},/etc/rc.d/init.d}

install src/mmtcpfwd 	$RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE2}	$RPM_BUILD_ROOT%{_sysconfdir}/mmtcpfwd.conf
install %{SOURCE1}	$RPM_BUILD_ROOT/etc/rc.d/init.d/mmtcpfwd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mmtcpfwd
%service mmtcpfwd restart "mmtcpfwd daemon"

%preun
if [ "$1" = "0" ]; then
	%service mmtcpfwd stop
	/sbin/chkconfig --del mmtcpfwd
fi

%files
%defattr(644,root,root,755)
%doc README*
%attr(750,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mmtcpfwd.conf
%attr(754,root,root) /etc/rc.d/init.d/mmtcpfwd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mmtcpfwd.spec,v $
Revision 1.26  2006/05/21 17:26:16  glen
- pass CC; rel 4

Revision 1.25  2006/03/05 14:42:52  glen
- use %service, adapterize, cosmetics

Revision 1.24  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.23  2004/04/26 17:10:22  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.22  2003/08/05 10:43:08  ankry
- fixed URLs, added md5

Revision 1.21  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.20  2003/05/25 05:50:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2002/12/07 14:33:31  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.18  2002/11/27 22:06:22  juandon
- new %doc

Revision 1.17  2002/02/23 03:54:20  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:13:53  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/09/24 16:23:38  kloczek
- spec adapterized.

Revision 1.13  2001/09/24 15:41:03  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.12  2001/07/26 05:42:18  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.10  2001/05/30 10:10:59  areq
- 0.1.0 stable release
- Epoch 2

Revision 1.9  2001/05/02 21:51:24  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.8  2001/03/12 18:53:05  areq
- 0.7d

Revision 1.7  2001/02/24 11:47:55  areq
- 0.7c STB

Revision 1.6  2001/02/18 22:41:18  kloczek
- Prereq for rc-scripts (not chkconfig).

Revision 1.5  2001/02/17 21:37:54  areq
- 0.7b stb

Revision 1.4  2001/02/16 23:40:52  areq
- fix mmtcpfwd.init
- Release 2  stb

Revision 1.3  2001/02/08 20:58:02  kloczek
- added gzipping %doc and few cosmetics.

Revision 1.2  2001/02/08 20:39:57  areq
- add %prenum %post
- adaptarized

Revision 1.1  2001/02/08 17:04:31  areq
- initial release NFY
